%global sfincb %{_datadir}/shellfu/include-bash
%global sfmodn __SHELLFU_MODNAME__
%global shellfu_req shellfu >= 0.10.4, shellfu < 0.11

Name:       __MKIT_PROJ_PKGNAME__
Version:    __MKIT_PROJ_VERSION__
Release:    1%{?dist}
Summary:    __MKIT_PROJ_NAME__ - __MKIT_PROJ_TAGLINE__
URL:        __MKIT_PROJ_VCS_BROWSER__
License:    LGPLv2
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: %shellfu_req
BuildRequires: perl
BuildRequires: python3
BuildRequires: python3-libs
BuildRequires: shellfu-bash-pretty

Requires: %shellfu_req
Requires: perl
Requires: python3
Requires: python3-libs
Requires: shellfu-bash
Requires: shellfu-bash-pretty
%description
UriPecker is Shellfu/bash module of one function that takes a string on
standard output, and looks for things that look like could be URIs.
Besides real URIs, it can look for set of keywords and identifiers such
as 'build 1234', 'issue#45' or 'bz6789' and translate them based on a
simple INI file.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
make test \
    SHELLFU_PATH=%{buildroot}/%{_datadir}/shellfu/include-bash

%files
%doc %{_docdir}/%{name}/README.md
%{sfincb}/%{sfmodn}.sh


%changelog

# specfile built with MKit __MKIT_SELF_VERSION__
